## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  check

%global srcname damo
%global _description %{expand:
damo is a user space tool for DAMON. Using this, you can monitor the data access
patterns of your system or workloads and make data access-aware memory
management optimizations.}

Name:           python-%{srcname}
Version:        1.8.6
Release:        %autorelease
Summary:        Data Access Monitoring Operator

License:        GPL-2.0-only
URL:            https://github.com/awslabs/damo
# PyPI source does not contain tests
# Source:         %%pypi_source
Source:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
# some tests assume 64-bit and fail on ix86
ExclusiveArch:  x86_64 aarch64 ppc64le s390x noarch

%description %{_description}


%package -n %{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description -n %{srcname} %{_description}


%prep
%autosetup -p 1 -n %{srcname}-%{version}


# from packaging/build.sh
for f in pyproject.toml setup.py; do
  cp -p packaging/$f .
done

mkdir -p src/damo
cp -p *.py src/damo/
cp -p damo src/damo/damo.py
# remove shebang from the newly copied damo.py
sed -i '1{\@^#!/usr/bin/env python@d}' src/damo/damo.py
touch -r damo src/damo/damo.py
touch -r damo src/damo/__init__.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%if %{with check}
%check
%pytest
%endif


%files -n %{srcname} -f %{pyproject_files}
%license COPYING
%doc CONTRIBUTING README.md SECURITY.md USAGE.md release_note
%{_bindir}/%{srcname}


%changelog
* Wed Jun 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.8.6-1
- Update to 1.8.6

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.8.4-2
- Rebuilt for Python 3.12

* Tue Jun 06 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.8.4-1
- Update to 1.8.4

* Mon Jun 05 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.8.3-1
- Update to 1.8.3

* Wed May 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.8.1-2
- Avoid building on 32-bit platforms

* Wed May 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.8.1-1
- Initial Fedora package
